> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update alert rule

Update an existing alert rule.

` PATCH /alert-rules/{id} `

Update alert rule

Update an existing alert rule.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` id ` (path, required)

Resource ID (32-char hex)

- ` value `: type ` string ` — Resource ID (32-char hex)

  - example: ` "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6" `

  - minLength: ` 1 `

Example:

```json
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
```

## Request body (required)

Content type: ` application/json `

Request body

- ` value `: type ` object `

  - ` name `: type ` string ` — Alert rule name

  - ` description `: type ` string ` — Optional description

  - ` enabled `: type ` boolean ` — Enable or disable the rule

  - ` rule_config `: type ` object ` — Rule-type-specific configuration

  - ` source_id `: type ` string `; nullable — Scope to a specific source

  - ` destination_id `: type ` string `; nullable — Scope to a specific destination

  - ` channel_ids `: type ` array ` — Notification channel IDs

    - ` array item `: type ` string `

  - ` cooldown_minutes `: type ` integer ` — Cooldown between alerts (minutes)

## Responses

### ` 200 ` — Updated alert rule

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` alert_rule `

  - ` alert_rule `: type ` object `; nullable

    - Required fields: ` id `, ` org_id `, ` env_id `, ` name `, ` description `, ` enabled `, ` rule_type `, ` rule_config `, ` source_id `, ` destination_id `, ` channel_ids `, ` cooldown_minutes `, ` last_triggered_at `, ` trigger_count `, ` created_at `, ` updated_at `

    - ` id `: type ` string `

    - ` org_id `: type ` string `

    - ` env_id `: type ` string `

    - ` name `: type ` string `

    - ` description `: type ` string `; nullable

    - ` enabled `: type ` integer `

    - ` rule_type `: type ` string `

    - ` rule_config `: type ` string `

    - ` source_id `: type ` string `; nullable

    - ` destination_id `: type ` string `; nullable

    - ` channel_ids `: type ` string `

    - ` cooldown_minutes `: type ` integer `

    - ` last_triggered_at `: type ` string `; nullable

    - ` trigger_count `: type ` integer `

    - ` created_at `: type ` string `

    - ` updated_at `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

### ` 404 ` — Not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X PATCH 'https://hookstream.io/v1/alert-rules/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "enabled": true,
  "rule_config": {},
  "source_id": "string",
  "destination_id": "string",
  "channel_ids": [
    "string"
  ],
  "cooldown_minutes": 0
}'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/alert-rules/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
  method: 'PATCH',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "name": "string",
    "description": "string",
    "enabled": true,
    "rule_config": {},
    "source_id": "string",
    "destination_id": "string",
    "channel_ids": [
      "string"
    ],
    "cooldown_minutes": 0
  })
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.patch('https://hookstream.io/v1/alert-rules/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={
  "name": "string",
  "description": "string",
  "enabled": true,
  "rule_config": {},
  "source_id": "string",
  "destination_id": "string",
  "channel_ids": [
    "string"
  ],
  "cooldown_minutes": 0
})
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "name": "string",
  "description": "string",
  "enabled": true,
  "rule_config": {},
  "source_id": "string",
  "destination_id": "string",
  "channel_ids": [
    "string"
  ],
  "cooldown_minutes": 0
}`)
	req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/alert-rules/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```